Skip to main content
POST
Get an exchange rate

Authorizations

Authorization
string
header
required

Bearer authentication header on the format Bearer <API_KEY>.

Headers

Idempotency-Key
string<uuid>

Optional UUID v4 idempotency key. If you resend the same key with a different request body, the API returns a 409 error. Cached responses include the header X-Idempotency-Cached: true. Keys expire after 24 hours.

Body

application/json

Exchange rate's type is floating.

customerId
string<uuid>
required

Customer's unique identifier.

Example:

"3c90c3cc-0d44-4b50-8888-8dd25736052a"

type
enum<string>
required

Exchange rate type.

Available options:
FLOATING
Example:

"FLOATING"

rail
enum<string>
required

Exchange rate payment rail.

Available options:
PIX,
SWIFT,
SEPA,
ACH,
FEDWIRE,
SPEI
Example:

"PIX"

sourceCurrency
enum<string>
required

Exchange rate source currency.

Available options:
BRL,
USD,
EUR,
MXN,
USDC,
USDT
Example:

"BRL"

sourceAmount
string
required

Exchange rate source amount.

Example:

"60000.00"

targetCurrency
enum<string>
required

Exchange rate target currency.

Available options:
BRL,
USD,
EUR,
MXN,
USDC,
USDT
Example:

"USDC"

blockchain
enum<string>

Target blockchain for the exchange rate calculation. If not provided, the project's default blockchain will be used.

Available options:
ETHEREUM,
BASE,
TRON,
POLYGON
Example:

"POLYGON"

partnerFeeId
string<uuid>

Exchange rate partner fee ID.

Example:

"123e4567-e89b-12d3-a456-426614174004"

Response

200 - application/json

Resource successfully retrieved.

Exchange rate's type is floating.

type
enum<string>

Exchange rate type.

Available options:
FLOATING
Example:

"FLOATING"

rail
enum<string>

Exchange rate payment rail.

Available options:
PIX,
SWIFT,
SEPA,
ACH,
FEDWIRE,
SPEI
Example:

"PIX"

sourceCurrency
string

Exchange rate source currency.

Example:

"BRL"

sourceAmount
string

Exchange rate source amount.

Example:

"60000.00"

targetCurrency
string

Exchange rate target currency.

Example:

"USDC"

targetAmount
string

Exchange rate target amount.

Example:

"10125.727780"

rate
string

The exchange rate between the currencies.

Example:

"5.9255"